import pygame

class MetaView(object):
    def __init__(self, game):
        self.info = {}
        self.screen = pygame.display.get_surface()
        self.font = pygame.font.Font("freesansbold.ttf", 33)
    
    def set_info(self, data):
        self.info = data
        self.surfaces = []
        self.rects = []
        w = self.screen.get_width()/2
        h = int(self.screen.get_height()*.4)
        for key in ['title', 'subtitle']:
            surface = self.font.render(self.info[key], True, (255, 255, 255))
            rect = surface.get_rect()
            rect.center = (w, h)
            h += int(surface.get_height() * 1.2)
            self.surfaces.append(surface)
            self.rects.append(rect)
            
    def draw(self):
        self.screen.fill((0, 0, 0))

        for i in range(len(self.surfaces)):
            self.screen.blit(self.surfaces[i], self.rects[i])
        pygame.display.flip()

    def thread(self):
        while True:
            yield None
            self.draw()

               
